Generate HLS playback URL

Get a signed URL for accessing a HLS playlist directly

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint is useful when trying to integrate Dacast contents in platforms that do not support our web video player (iOS, Xamarin, Flutter, etc). HLS is widely supported on all popular platforms, so you should be able to give the playback URL to a video player library on your chosen platform and have it work.

📘

Playback urls from this API expire

To ensure your content is secure, the generated URLs from this endpoint expire a few minutes after being generated. Once the playback has started you do not need to re-generate an URL every few minutes, but you do need to start the playback within the URL's validity period.
This means the correct way to use this endpoint is to call it before every playback session and start the playback right away.

To generate a playback URL that does not expire (unsecure), you can use the GET /v2/channel/{id} endpoint of the developer.dacast.com API

Query Params
string
required
Defaults to universe

Required. Name of the platform to use. Currently the only one is universe

string
required

Required. The full content id to request the playback url for. The content id is in the format: USER_ID-{content_type}-{media_id}. You can find your user_id by looking at the second path component of any of the Share links on your account which are in a similar format: https://iframe.dacast.com/{content_type}/USER_ID/{media_id}. The available content_type values are: vod, live

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain